<?php

	### Load WP-Config File If This File Is Called Directly
	if (!function_exists('add_action')) {
		$wp_root = '..';
		if (file_exists($wp_root.'/wp-load.php')) {
			require_once($wp_root.'/wp-load.php');
		} else {
			require_once($wp_root.'/wp-config.php');
		}
	}
	


### Form Processing 
if(!empty($_POST['do'])) {
	
		$site_url 		= $_POST['siteurl'];
		$site_title 	= $_POST['sitename'];
		$site_email 	= $_POST['siteemail'];
		
		$old_url 		= $_POST['old_url'];
		$new_url 		= $site_url;
		

		//update_option('siteurl', 'http://your.domain.name/the/path' );
		//update_option('home', 'http://your.domain.name/the/path' );
		
		
		$queries = array();
		$tbl_options = $wpdb->prefix."options";
		$tbl_posts  = $wpdb->prefix."posts";
		
		$queries[0] 	= "UPDATE {$tbl_options} SET option_value = replace(option_value, '{$old_url}', '{$new_url}') WHERE option_name = 'home' OR option_name = 'siteurl';";		
		$queries[0] 	= "UPDATE {$tbl_options} SET option_value = '{$site_title}' WHERE option_name = 'blogname';";		
		$queries[0] 	= "UPDATE {$tbl_options} SET option_value = '{$site_email}' WHERE option_name = 'admin_email';";		
		$queries[1] 	= "UPDATE {$tbl_posts} SET guid = replace(guid, '{$old_url}','{$new_url}');";
		$queries[2]		= "UPDATE {$tbl_posts} SET post_content = replace(post_content, '{$old_url}', '{$new_url}');";
		$queries[2]		= "UPDATE {$tbl_posts} SET post_content = replace(post_content, '{##COMPANYNAME##}', '{$companyname}');";
		$queries[2]		= "UPDATE {$tbl_posts} SET post_content = replace(post_content, '{##COMPANYSTATE##}', '{$companystate}');";
		$queries[2]		= "UPDATE {$tbl_posts} SET post_content = replace(post_content, '{##SITETITLE##}', '{$site_title}');";
		$queries[2]		= "UPDATE {$tbl_posts} SET post_content = replace(post_content, '{##SITEEMAIL##}', '{$site_email}');";
		
		$query_count = 1;
		$query_error_count = 0;
		$error_query = array();
		foreach($queries as $query){
			if($wpdb->query($query)){
				$query_count++;
			}else{
				//$error_query[$query_error_count++] = $query;
			}
		}

		if($query_error_count > 0 ) {
			$text .= '<p style="color: red;">'.sprintf(__('Error executing queries  \'%s\'.'), implode("<br />",$error_query)).'</p>';
		}else{
			$text .= '<p style="color: green;">'.sprintf(__('Queries executed successfully.'), implode("<br />",$queries)).'</p>';
		}

	
}

### Add Poll Form
?>
<?php if(!empty($text)) { echo '<!-- Last Action --><div id="message" class="updated fade">'.stripslashes($text).'</div>'; } ?>
<form action="<?php echo htmlspecialchars($_SERVER['REQUEST_URI']); ?>" method="post">
<div class="wrap">
	<div id="icon-wp-polls" class="icon32"><br /></div>
	<h2><?php _e('Update WP Site Settings'); ?></h2>
	
	<table class="form-table">
		<tr>
			<th width="20%" scope="row" valign="top"><?php _e('Site URL') ?></th>
			<td width="80%"><input type="text" size="90" name="siteurl" value="<?php @$_POST['siteurl']; ?>" style="width:100%"/></td>
		</tr>
		<tr>
			<th width="20%" scope="row" valign="top"><?php _e('Site Name') ?></th>
			<td width="80%"><input type="text" size="90" name="sitename" value="<?php @$_POST['sitename']; ?>" style="width:100%"/></td>
		</tr>		
		<tr>
			<th width="20%" scope="row" valign="top"><?php _e('Site Email') ?></th>
			<td width="80%"><input type="text" size="90" name="siteemail" value="<?php @$_POST['siteemail']; ?>" style="width:100%"/></td>
		</tr>			
	</table>
	<hr />
	
	<table class="form-table">
		<tr>
			<th width="20%" scope="row" valign="top"><?php _e('Old URL:') ?></th>
			<td width="80%"><input type="text" size="90" name="old_url" value="<?php @$_POST['old_url']; ?>" style="width:100%"/></td>
		</tr>
	</table>
	
	
	<p style="text-align:left;">
		<input type="submit" name="do" value="<?php _e('Update WP Settings'); ?>"  class="button" />&nbsp;&nbsp;
	</p>
	
</div>
</form>	